Subject: HELP windres problem
From: [email-masked] (Douglas Steele)

11 Jun 1998 18:37:54 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0
To: [email-masked]

Hi,

I have a copy of egcs-1.0-2mingw32.zip and mostly seems OK (ie gcc
compiles ok etc).

However I am having trouble with windres.exe

I am trying to compile a file wincons.rc so...

windres -i wincons.rc -o res.o

....results in (after a lot of screen scrolling)

C:\MINGW32\BIN\WINDRES.EXE: no resources
[exited with 1]

Any ideas ?
Is there a problem with windres ?

For more info, the following is a very cut-down version of wincons.rc
=====================================================================
#include <windows.h>

#define RRR_ABOUT               100
#define RRR_QUIT                103
#define RRR_OPEN                117
#define RRR_TILE                121
#define RRR_CASC                122
#define RRR_ARRA                123

RMenuInit MENU 
BEGIN
 POPUP "&About"
 BEGIN
  MENUITEM "&About", RRR_ABOUT
 END

 POPUP "&File"
 BEGIN
  MENUITEM "&Open", RRR_OPEN
  MENUITEM "&Quit", RRR_QUIT
 END

 POPUP "&Window"
 BEGIN
  MENUITEM "&Tile", RRR_TILE
  MENUITEM "&Cascade", RRR_CASC
  MENUITEM "Arrange &Icons", RRR_ARRA
 END

END

-- 
Douglas Steele
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".